## beaver 0.2.3-1

=== src/Makefile ===
##
## Makefile for Beaver
## 
## Made by marc bevand
## Login   <bevand_m@epita.fr>
## 
## Started on  Wed Sep 27 19:43:16 2000 marc bevand
## Last update Mon Feb 25 02:11:32 2002 marc bevand
##

CC      = gcc
RM      = rm -f
CP      = cp
#
DESTDIR = /usr/local
IPATH   = 
LPATH   = 
OPTI    = -O3 -funroll-loops -fomit-frame-pointer #-mpentium
DBUG    = #-ggdb #-pg
WARN	= #-Wall #-pedantic -ansi -W
#
### Unix version ###
CFLAGS  = ${OPTI} ${DBUG} ${WARN} ${IPATH} `gtk-config --cflags`
LDFLAGS = ${OPTI} ${DBUG} ${WARN} ${LPATH} `gtk-config --libs`
NAME    = beaver
### Windows version ###
#CFLAGS  = ${OPTI} ${DBUG} ${WARN} ${IPATH}\
#	   -fnative-struct -mwindows
#LDFLAGS = ${OPTI} ${DBUG} ${WARN} ${LPATH}\
#	   -lgdk-1.3 -lgtk-1.3 -lgmodule-1.3 -lglib-1.3 -lm
#NAME    = beaver.exe
#
SRC	= main.c search.c tools.c languages.c editor.c prefs.c conf.c msgbar.c\
	  toolbar.c interface.c filesops.c completion.c undoredo.c
INC	= ${SRC:.c=.h} struct.h wordfile.h
OBJ	= ${SRC:.c=.o}
#

all	: ${OBJ}
	${CC} -o ${NAME} ${OBJ} ${LDFLAGS}
	@strip --strip-all ${NAME}

clean	:
	${RM} *~ \#* gmon.out ../beaver.1x.gz ${OBJ} ${NAME}

install :
	install -d $(DESTDIR)/X11R6/bin
	install beaver $(DESTDIR)/X11R6/bin
	install -d $(DESTDIR)/share/beaver/bl
	cp ../bl/* $(DESTDIR)/share/beaver/bl
	install -d $(DESTDIR)/share/pixmaps
	cp ../pixmaps/beaver.png $(DESTDIR)/share/pixmaps
	gzip -c9 ../beaver.1x > ../beaver.1x.gz
	install -d $(DESTDIR)/X11R6/man/man1
	cp ../beaver.1x.gz $(DESTDIR)/X11R6/man/man1
	@echo
	@echo "Files installed :"
	@echo "-----------------"
	@echo
	@echo "$(DESTDIR)/X11R6/bin/beaver"
	@echo "$(DESTDIR)/share/beaver/bl/example1.bl"
	@echo "$(DESTDIR)/share/beaver/bl/example2.bl"
	@echo "$(DESTDIR)/share/beaver/bl/glib.bl"
	@echo "$(DESTDIR)/share/pixmaps/beaver.png"
	@echo "$(DESTDIR)/X11R6/man/man1/beaver.1x.gz"
	@echo
	@echo ",----------------------------------."
	@echo "| Beaver succesfully installed ^_^ |"
	@echo "\`----------------------------------'"

re	: clean all

.c.o	:
	${CC} ${CFLAGS} -c $< -o $@

${OBJ}	: ${INC}

=== debian/changelog ===
beaver (0.2.3-1) unstable; urgency=low

  * New Upstream release (fixes bugs, code cleanup etc)

 -- Ramakrishnan M <rkrishnan@debian.org>  Sat, 16 Mar 2002 10:41:34 +0530

beaver (0.2.2-1) unstable; urgency=low

  * New Upstream version.
    (Includes the manpage written by me, and other bugfixes reported
    at the Debian BTS in addition to other fixes etc)

 -- Ramakrishnan M <rkrishnan@debian.org>  Mon, 18 Feb 2002 14:49:49 +0530 

beaver (0.2.1-1.2) unstable; urgency=low

  * Fixes description line length problem.
    (Closes: Bug#130978)
  * Fixes minor description problems. 
    Thanks to Daniel Burrows <dburrows@debian.org> for pointing them out.
    (Closes: Bug#111813)

 -- Ramakrishnan M <rkrishnan@debian.org>  Sat, 16 Feb 2002 06:19:40 +0530

beaver (0.2.1-1.1) unstable; urgency=low

  * NMU
  * Removed the `-mpentium' compiler optimization since it makes
    beaver impossible to compile on other architectures.
    (closes: Bug#111873)
  * Applied patch which fixes 64-bit issues from casting pointers
    to integers.  Thanks go to Paul Slootman <paul@wurtel.net> for
    submitting the patch to the Debian BTS.  (closes: Bug#112771)
  * Fix packaging so it cleans its self properly.

 -- Doug Porter <dsp@debian.org>  Thu, 18 Oct 2001 09:13:32 -0500

beaver (0.2.1-1) unstable; urgency=low

  * Initial Release.
    Closes: bug#86346
    
 -- Ramakrishnan M <rkrishnan@debian.org>  Fri, 16 Feb 2001 21:45:20 +0530

=== debian/control ===
Source: beaver
Section: editors
Priority: optional
Maintainer: Ramakrishnan M <rkrishnan@debian.org>
Build-Depends: libgtk1.2-dev, debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: beaver
Architecture: any
Depends: ${shlibs:Depends}
Description: An Early AdVanced EditoR
 Beaver is a text editor that is lightweight but full of features for 
 programming from web authoring to C programming. It is based on the 
 GTK+ toolkit, supports tons of languages through config files (compatible 
 with UltraEdit 'wordfile.txt') and offers functions such as automatic 
 indentation, correction and completion, or syntax highlighting.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) -C src
	#/usr/bin/docbook-to-man debian/beaver.sgml > beaver.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) -C src clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/beaver.
	$(MAKE) -C src install DESTDIR=$(CURDIR)/debian/beaver/usr


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## beaver 0.2.5-1

=== debian/changelog ===
beaver (0.2.5-1) unstable; urgency=low

  * New upstream release

 -- Ramakrishnan M <rkrishnan@debian.org>  Fri, 14 Feb 2003 20:08:26 +0530

beaver (0.2.4-1) unstable; urgency=low

  * New upstream release
  
  *  (closes: #172628)

 -- Ramakrishnan M <rkrishnan@debian.org>  Wed, 11 Dec 2002 22:56:11 +0530

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ramakrishnan M <rkrishnan@debian.org>
 Build-Depends: libgtk1.2-dev, debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Standards-Version: 3.5.8
 
 Package: beaver
 Architecture: any

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
sunsite.unc.edu	/pub/Linux/Incoming	beaver-(.*)\.tar\.gz	debian	uupdate

## beaver 0.2.5-2

=== src/Makefile ===
##
## Makefile for Beaver
## 
## Author<s>:   Marc Bevand (aka "After") <bevand_m@epita.fr>
## Last update: Mon Jul 15 22:29:51 CEST 2002
##

############## Public section. Modify according to your needs.  ###############

CC      = gcc
RM      = rm -f
CP      = cp

DESTDIR = /usr/local
IPATH   = 
LPATH   = 
OPTI    = -O3 -funroll-loops -fomit-frame-pointer #-mcpu=i686
DBUG    = #-ggdb #-pg
WARN	= #-W -Wall #-pedantic -ansi

### Unix version ###
CFLAGS  = ${OPTI} ${DBUG} ${WARN} ${IPATH} `gtk-config --cflags`
LDFLAGS = ${OPTI} ${DBUG} ${WARN} ${LPATH} `gtk-config --libs`
NAME    = beaver

### Windows version ###
#CFLAGS  = ${OPTI} ${DBUG} ${WARN} ${IPATH}\
#	   -fnative-struct -mwindows
#LDFLAGS = ${OPTI} ${DBUG} ${WARN} ${LPATH}\
#	   -lgdk-1.3 -lgtk-1.3 -lgmodule-1.3 -lglib-1.3 -lm
#NAME    = beaver.exe

###################### Private section. Do not modify  ########################

ifndef DBUG
	STRIP = strip --strip-all ${NAME}
endif

SRC	= main.c search.c tools.c languages.c editor.c prefs.c conf.c msgbar.c\
	  toolbar.c interface.c filesops.c completion.c undoredo.c
INC	= ${SRC:.c=.h} struct.h wordfile.h
OBJ	= ${SRC:.c=.o}

all	: ${OBJ}
	${CC} -o ${NAME} ${OBJ} ${LDFLAGS}
	@${STRIP}

.c.o	:
	${CC} ${CFLAGS} -c $< -o $@

${OBJ}	: ${INC}

install :
	install -d $(DESTDIR)/bin
	install beaver $(DESTDIR)/bin
	install -d $(DESTDIR)/share/beaver/bl
	$(CP) ../bl/* $(DESTDIR)/share/beaver/bl
	install -d $(DESTDIR)/share/pixmaps
	$(CP) ../pixmaps/beaver.png $(DESTDIR)/share/pixmaps
	gzip -c9 ../beaver.1x > ../beaver.1x.gz
#	install -d $(DESTDIR)/man/man1
#	$(CP) ../beaver.1x.gz $(DESTDIR)/man/man1
	@echo
	@echo "Files installed :"
	@echo "-----------------"
	@echo
	@echo "$(DESTDIR)/bin/beaver"
	@echo "$(DESTDIR)/share/beaver/bl/example1.bl"
	@echo "$(DESTDIR)/share/beaver/bl/example2.bl"
	@echo "$(DESTDIR)/share/beaver/bl/glib.bl"
	@echo "$(DESTDIR)/share/pixmaps/beaver.png"
#	@echo "$(DESTDIR)/man/man1/beaver.1x.gz"
	@echo
	@echo ",----------------------------------."
	@echo "| Beaver succesfully installed ^_^ |"
	@echo "\`----------------------------------'"

.PHONY: clean re

clean	:
	${RM} *~ \#* .\#* *.core gmon.out ../beaver.1x.gz ${OBJ} ${NAME}

re	: clean all

=== debian/changelog ===
beaver (0.2.5-2) unstable; urgency=low

  * Orphaning the package: changing maintainer field to
    Debian QA.

 -- Ramakrishnan Muthukrishnan <rkrishnan@debian.org>  Sat, 25 Sep 2004 15:59:43 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: beaver
 Section: editors
 Priority: optional
-Maintainer: Ramakrishnan M <rkrishnan@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: libgtk1.2-dev, debhelper (>> 3.0.0)
 Standards-Version: 3.5.8

=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
 #	dh_installmime
 #	dh_installinit
 	dh_installcron
-	dh_installman
+	dh_installman beaver.1x
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs ChangeLog

## beaver 1.0.0

=== DESCRIPTION ===
Package: beaver
Title: Bayesian Model Averaging of Covariate Adjusted Negative-Binomial
        Dose-Response
Version: 1.0.0
Authors@R: c(
    person(given = "Richard",
           family = "Payne",
           role = c("aut"),
           email = "paynestatistics@gmail.com"),
    person(given = "Hollins",
           family = "Showalter",
           role = c("aut", "cre"),
           email = "hollins.showalter@gmail.com"),
    person(family = "Eli Lilly and Company",
           role = "cph"))
Description: Dose-response modeling for negative-binomial distributed data with
  a variety of dose-response models. Covariate adjustment and Bayesian
  model averaging is supported. Functions are provided to easily obtain
  inference on the dose-response relationship and plot the dose-response curve.
License: MIT + file LICENSE
URL: https://github.com/rich-payne/beaver
Depends: R (>= 3.5.0)
Imports: checkmate (>= 2.1), dplyr (>= 1.0), ellipsis (>= 0.3), fs (>=
        1.5), ggplot2 (>= 3.3), purrr (>= 0.3), rjags (>= 4.12), rlang
        (>= 1.0), stringr (>= 1.5), tibble (>= 3.1), tidyr (>= 1.1),
        yodel (>= 1.0)
Encoding: UTF-8
RoxygenNote: 7.2.3
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
NeedsCompilation: no
Packaged: 2024-05-21 21:43:59 UTC; c050983
Author: Richard Payne [aut],
  Hollins Showalter [aut, cre],
  Eli Lilly and Company [cph]
Maintainer: Hollins Showalter <hollins.showalter@gmail.com>
Repository: CRAN
Date/Publication: 2024-05-22 13:00:06 UTC
